Package org.eclipse.emf.spi.cdo

## Class AbstractObjectConflictResolver.MergeLocalChangesPerFeature

- java.lang.Object
- - org.eclipse.emf.spi.cdo.AbstractConflictResolver
  - - org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
    - - org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge
      - - org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.MergeLocalChangesPerFeature

- All Implemented Interfaces:
    `CDOConflictResolver`, `CDOConflictResolver2`, `CDOAdapterPolicy`
  Enclosing class:
    AbstractObjectConflictResolver

      @Deprecated
      public static class AbstractObjectConflictResolver.MergeLocalChangesPerFeature
      extends AbstractObjectConflictResolver.ThreeWayMerge

  Deprecated.
  As of 4.0 use CDOMergingConflictResolver
  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge

      `AbstractObjectConflictResolver.ThreeWayMerge.RevisionDeltaCollector`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver

      `AbstractObjectConflictResolver.MergeLocalChangesPerFeature, AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges, AbstractObjectConflictResolver.ThreeWayMerge`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

      `CDOConflictResolver.NonConflictAware`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOAdapterPolicy

      `ALL, CDO, NONE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MergeLocalChangesPerFeature()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `hasFeatureConflicts​(CDORevisionDelta localDelta, java.util.List<CDORevisionDelta> remoteDeltas)` | Deprecated.
    `protected void` | `resolveConflict​(CDOObject conflict, CDORevisionDelta localDelta, java.util.List<CDORevisionDelta> remoteDeltas)` | Deprecated.

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge

      `hookTransaction, isValid, resolveConflict, resolveConflicts, unhookTransaction`

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver

      `changeObject, readObject, resolveConflict, resolveConflicts, rollbackObject`

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.AbstractConflictResolver

      `getTransaction, setTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

      `getTransaction, setTransaction`

- - ### Constructor Detail

    - #### MergeLocalChangesPerFeature

          public MergeLocalChangesPerFeature()

      Deprecated.

  - ### Method Detail

    - #### resolveConflict

          protected void resolveConflict​(CDOObject conflict,
                                         CDORevisionDelta localDelta,
                                         java.util.List<CDORevisionDelta> remoteDeltas)

      Deprecated.
      Specified by:
        `resolveConflict` in class `AbstractObjectConflictResolver.ThreeWayMerge`

    - #### hasFeatureConflicts

          protected boolean hasFeatureConflicts​(CDORevisionDelta localDelta,
                                                java.util.List<CDORevisionDelta> remoteDeltas)

      Deprecated.